Skip to main content

Invite to Follow a Company

POST /api/v1/follow_company_invite

This API allows the authenticated user to invite a LinkedIn contact to follow a specific company on LinkedIn. The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided.

You can obtain the company_url by calling the /api/v1/get_company_details API. In the response of this API, the field company_url is provided.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
company_urlstringrequiredThe LinkedIn URL of the company page.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Request

{
"accountId": "string",
"company_url": "string",
"profile_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
invitedbooleanWhether the invitation was sent.
invitation_idstringThe identifier for a connection invitation.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"invited": false,
"invitation_id": "string"
}
}
POST/api/v1/follow_company_invite
x-api-key
x-api-secret